Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackShmMem Class Reference

The base class for shared memory management. More...

`#include <JackShmMem.h>`

Inheritance diagram for Jack::JackShmMem:

## Public Member Functions
void * | operator new (size_t size)
void * | operator new (size_t size, void *memory)
void | operator delete (void *p, size_t size)
void | operator delete (void *p)
Public Member Functions inherited from Jack::JackShmMemAble
void | Init ()
int | GetShmIndex ()
char * | GetShmAddress ()
void | LockMemory ()
void | UnlockMemory ()

## Additional Inherited Members
Protected Attributes inherited from Jack::JackShmMemAble
jack_shm_info_t | fInfo

## Detailed Description

The base class for shared memory management.

A class which objects need to be allocated in shared memory derives from this class.

Definition at line 125 of file JackShmMem.h.

The documentation for this class was generated from the following files:

- JackShmMem.h
- JackShmMem.cpp